Eclipse BIRT Report Object Model (ROM)

MasterPage Element

# Element Overview

Base element for master pages within a report.

### Details

Display Name: | MasterPage
Since: | 1.0
XML Element: | `None`
Extends: | ReportElement
Extendable: | No
Abstract: | Yes
Name Space: | Pages
Name Requirement: | Required
Allows User Properties: | Yes
Has Style: | Yes
Default Style: | page

### Property Summary

bottomMargin
  The amount of white space at the bottom of each page.
height
  The height of a custom-sized page.
leftMargin
  The amount of white space at the left side of each page.
orientation
  The page orientation. Portrait, Landscape or Auto (default).
rightMargin
  The amount of white space at the right side of each page.
style
  Name of the style applied to this item.
topMargin
  The amount of white space at the top of each page.
type
  One of the standard page types: Custom, US Letter, US Legal or A4.
width
  The width of a page. (Set only for a custom page size.)

### Inherited Properties

comments, customXml, displayName, displayNameID, eventHandlerClass, extends, name, propertyMasks, userProperties, viewAction

### Description

The master page is an abstract element that defines the basic properties of a page. The derived elements, Simple and Graphic Master Pages, provide content that appears on the page itself. The simple master page is best for use with simple reports, or reports targeted for the web. Graphic master pages provide a robust set of formatting capabilities and are ideal for sophisticated web layouts or printed reports.

The master page element is a kind of Report Element. Some of the inherited attributes have a special meaning. The Name property provides the name of the master page and is required. The page name must be unique within the design. The name is used to create a page sequence, and to associate master pages with report elements.

Master pages cannot extend another master page, and so the extends property is ignored.

The master page implicitly defines a content area. In a single-column report, the content area is the area inside the margins.

# Property Detail

## bottomMargin Property

The amount of white space at the bottom of each page.

### Details

Type: | dimension
Since: | 1.0
Required: | No
Display Name: | Bottom margin
JavaScript Type: |
Default Value: | 1in
Inherited: | Yes
Runtime Settable: | Yes
Property Sheet Visibility: | Visible
Property Sheet Group: | Margin

### Description

The amount of white space at the margins of each page. Each dimension must be in physical units. The dimension cannot use relative units (percent, em, or ex.) The size also cannot be in pixels.

## height Property

The height of a custom-sized page.

### Details

Type: | dimension
Since: | 1.0
Required: | No
Display Name: | Height
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Description

Required if the page type is Custom.The height of a page. (Set only for a custom page size.) The dimension must be in physical units. The dimension cannot use relative units (percent, em, or ex.) The size also cannot be in pixels.

## leftMargin Property

The amount of white space at the left side of each page.

### Details

Type: | dimension
Since: | 1.0
Required: | No
Display Name: | Left margin
JavaScript Type: |
Default Value: | 1.25in
Inherited: | Yes
Runtime Settable: | Yes
Property Sheet Visibility: | Visible
Property Sheet Group: | Margin

### Description

The amount of white space at the margins of each page. Each dimension must be in physical units. The dimension cannot use relative units (percent, em, or ex.) The size also cannot be in pixels.

## orientation Property

The page orientation. Portrait, Landscape or Auto (default).

### Details

Type: | string
Since: | 1.0
Required: | No
Display Name: | Orientation
JavaScript Type: |
Default Value: | auto
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Choices

Name | Display Name | Value | Description
auto | Auto | auto | BIRT chooses the best orientation for the report.
portrait | Portrait | portrait | The page is taller than it is wide.
landscape | Landscape | landscape | The page is wider than it is tall.

### Description

The page orientation. Used only if `pageType` is set to one of the standard types; ignored if Type is set to Custom.

### See Also

`pageType` Property

## rightMargin Property

The amount of white space at the right side of each page.

### Details

Type: | dimension
Since: | 1.0
Required: | No
Display Name: | Right margin
JavaScript Type: |
Default Value: | 1.25in
Inherited: | Yes
Runtime Settable: | Yes
Property Sheet Visibility: | Visible
Property Sheet Group: | Margin

### Description

The amount of white space at the margins of each page. Each dimension must be in physical units. The dimension cannot use relative units (percent, em, or ex.) The size also cannot be in pixels.

## style Property

Name of the style applied to this item.

### Details

Type: | Style Reference
Since: | 1.0
Required: | No
Display Name: | Style
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Description

Master pages provide many style properties. The style properties are defined in the ROM Styles Specification. An element can inherit its style properties from a parent element (which does not apply to master pages), from a named style, or from a style that identifies the context in which the item appears. This property provides the name of the shared style to use.

This item can also set the value of style properties. Properties set on this element "override" those inherited from a parent element or a shared style.

### See Also

Style element in the ROM Styles Specification.

## topMargin Property

The amount of white space at the top of each page.

### Details

Type: | dimension
Since: | 1.0
Required: | No
Display Name: | Top margin
JavaScript Type: |
Default Value: | 1in
Inherited: | Yes
Runtime Settable: | Yes
Property Sheet Visibility: | Visible
Property Sheet Group: | Margin

### Description

The amount of white space at the margins of each page. Each dimension must be in physical units. The dimension cannot use relative units (percent, em, or ex.) The size also cannot be in pixels.

## type Property

One of the standard page types: Custom, US Letter, US Legal or A4.

### Details

Type: | string
Since: | 1.0
Required: | No
Display Name: | Type
JavaScript Type: |
Default Value: | us-letter
Inherited: | Yes
Runtime Settable: | Yes
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Choices

Name | Display Name | Value | Description
custom | Custom | custom | The page size is user-defined.
us-letter | US Letter | us-letter | US letter-sized paper: 8.5" by 11".
us-legal | US Legal | us-legal | US legal-sized paper: 8.5" by 14".
a4 | A4 | a4 | Metric A4 paper size.

### Description

One of the standard page types: Custom, US Letter, US Legal or A4. (Others may be added in the future.)

The default is locale-dependent, usually US Letter for the US locale, A4 for the rest of the world. The default is set when a new page is created in the report designer; a page in the design file must supply a page type, which could however, be Custom.

### See Also

`orientation` property

`height` & `width` properties

## width Property

The width of a page. (Set only for a custom page size.)

### Details

Type: | dimension
Since: | 1.0
Required: | No
Display Name: | Width
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Description

Required if the page type is Custom.The width of a page. (Set only for a custom page size.) The dimension must be in physical units. The dimension cannot use relative units (percent, em, or ex.) The size also cannot be in pixels.